Subject: Fix case of class names to generate
Description

When specifying a model name starting with a lower case character, the generated code throws an exception.
Example from the mailing list:

./flow3 kickstart:actioncontroller --generate-actions --generate-related Fritdrop.Webpage golfEquipment

leads to:

12-11-18 19:56:33 11136      DEBUG     FLOW3                Reflected class names did not match class names to reflect
12-11-18 19:56:33 11136      DEBUG     FLOW3                Reflecting class
Fritdrop\Webpage\Controller\GolfEquipmentController
12-11-18 19:56:33 11136      DEBUG     FLOW3                Reflecting class Fritdrop\Webpage\Domain\Model\GolfEquipment
12-11-18 19:56:33 11136      DEBUG     FLOW3                Reflecting class
Fritdrop\Webpage\Domain\Repository\GolfEquipmentRepository
12-11-18 19:56:33 11136      INFO      FLOW3                Reflected 3 emerged classes.
12-11-18 19:56:36 11136      DEBUG     FLOW3                Built AOP proxy for class
"Fritdrop\Webpage\Domain\Model\GolfEquipment".
12-11-18 19:56:36 11136      DEBUG     FLOW3                Building DI proxy for
"Fritdrop\Webpage\Controller\GolfEquipmentController".
12-11-18 19:56:36 11136      CRITICAL  FLOW3                Uncaught exception #1265213849 in line 142 of
Packages/Framework/TYPO3.FLOW3/Classes/Object/DependencyInjection/ProxyClassBuilder.php: The object
"Fritdrop\Webpage\Domain\Repository\golfEquipmentRepository" which was specified as a property in the object configuration
of object "Fritdrop\Webpage\Controller\GolfEquipmentController" (automatically registered class) does not exist. Check for
spelling mistakes and if that dependency is correctly configured. - See also: 20121118195633ff72d8.txt 

Instead the exception should be thrown while executing the command or the kickstarter should automatically convert class names to
UpperCamelCase

Related issues:
duplicated by TYPO3.Kickstart - Feature # 43143: Fix case of class names to g... Closed 2012-11-20

Associated revisions
Revision ee5f0261 - 2012-11-21 12:41 - Bastian Waidelich

[BUGFIX] Fix case of class names to generate

This makes sure the created controller class names and
references are upper cased in order to avoid misleading
exceptions if the controller was specified lower cased.

Change-Id: Ie758c26cecd591ed240478de3f9597714060fb88
Fixes: #43144
Releases: 1.1, 1.2

Revision 63f18d48 - 2012-12-10 21:47 - Bastian Waidelich

[BUGFIX] Fix case of class names to generate

This makes sure the created controller class names and
references are upper cased in order to avoid misleading
exceptions if the controller was specified lower cased.

Change-Id: Ie758c26cecd591ed240478de3f9597714060fb88
Fixes: #43144
Releases: 1.1, 1.2
Reviewed-on: https://review.typo3.org/17075
Reviewed-by: Karsten Dambekalns
Tested-by: Karsten Dambekalns

History
#1 - 2012-11-21 12:09 - Bastian Waidelich
- Status changed from New to Accepted
- Assigned To set to Bastian Waidelich

#2 - 2012-11-21 12:41 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16661

#3 - 2012-11-26 16:35 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:ee5f02611f1a4ddc9b5e0db338ef7c47e1d85246.

#4 - 2012-12-10 21:46 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at https://review.typo3.org/17075

#5 - 2012-12-12 08:32 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- Target version set to 2.0 beta 1
